#pragma once
#include "common/Bounded.hpp"
#include "game/game-const.hpp"
class Prt;
class Plr;
class Blt;
class Enemy;
Prt* add_prt(uint id); ///< добавляет частицу
Blt* add_blt(uint id); ///< добавляет пулю
Plr* add_plr(uint id); ///< добавляет игрока
Enemy* add_ene(Enemy* p); ///< добавляет противника
/** отталкивает все объект от объекта с позицией pos
 *@param dist растояние действия 
 *@param power сила отбрасывания */
void scatter_all(CN(Vec) pos, float power, float dist);
namespace {
  //! вставка частиц по кругу
  Bounded<std::size_t, 0, Game::max_particle - 1> prt_index(0);
  //! вставка пуль по кругу
  Bounded<std::size_t, Game::max_particle,
    Game::max_particle + Game::max_bullet - 1> blt_index(Game::max_particle);
}